GasTankerDocs
Policies

List gas policies

GET
/v1/policies

Newest first, up to limit per page (default 100, at most 500). While nextCursor is not null, pass it as cursor to read the next page.

Authorization

apiKeyAuth
headerX-API-Key<token>

Organization-owned GasTanker API key.

Query Parameters

limit?integer

How many items to return, 1 to 500. Defaults to 100.

Range1 <= value <= 500
cursor?string

The nextCursor of the previous page. Omit it for the first page.

Match^[A-Za-z0-9_-]+$
Length1 <= length <= 256

Response Body

Response for status 200

application/json
  1. response
data*array<>
nextCursor*|

Pass as cursor to fetch the next page. Null on the last page.

curl -X GET 'https://api.gastanker.xyz/v1/policies'
{  "data": [    {      "id": "string",      "organizationId": "string",      "walletId": "string",      "thresholdBaseUnits": "string",      "targetBaseUnits": "string",      "status": "active",      "revision": 0,      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string"}